Adding issue css classes to subtasks and relations tr
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.3.0   

Description

In every other part of the application issues have their CSS classes added to the tr element.

This patch adds them to the sub tasks and relations tables for issues#show.

It is useful for custom themes to be able to style them according to their status/tracker or for JavaScript plugins doing funky front end

logic with them.

Related issues:

Related to Redmine - Defect #23391: Wrong CSS classes in subtasks tree Closed

Has duplicate Redmine - Feature #11302: Issue-Details: add additional classes... Closed

Associated revisions

Revision 15061 - 2016-01-16 09:10 - Jean-Philippe Lang

Adding issue css classes to issue subtasks and relations tr (#21474).

Patch by Codruț Gușoi.

History

#1 - 2015-12-23 04:37 - Go MAEDA

- Target version set to 3.3.0

Useful for theme developers. I tried the patch and works fine.

I suggest including this in Redmine 3.3.0.

#2 - 2016-01-16 09:10 - Jean-Philippe Lang

- Subject changed from Adding issue css classes to issue show subtasks and relations tr to Adding issue css classes to subtasks and relations tr

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks.

#3 - 2016-02-15 04:37 - Toshi MARUYAMA

- Description updated

#4 - 2018-03-16 10:20 - Marius BĂLTEANU

- Has duplicate Feature #11302: Issue-Details: add additional classes to the list of related tickets and subtasks for better theme support added

#5 - 2018-10-25 10:55 - Jérôme BATAILLE

Hi,

This patch introduced a duplication of the 'issue' css tag because it is also provided by the css_classes method.

Can it be fixed ?

Thanks a lot.

#6 - 2018-10-25 11:04 - Marius BĂLTEANU

- Related to Defect #23391: Wrong CSS classes in subtasks tree added

#7 - 2018-10-25 11:04 - Marius BĂLTEANU
Jérôme BATAILLE wrote:

Hi,

This patch introduced a duplication of the 'issue' css tag because it is also provided by the css_classes method.

Can it be fixed ?

Thanks a lot.

 It was already fixed in #23391.
